<?php

declare(strict_types=1);

namespace Drupal\error_page;

use Drupal\Core\Utility\Error as ComponentError;

/**
 * Provides a different message compared to its parent.
 */
class Error extends ComponentError {

  /**
   * {@inheritdoc}
   */
  protected static $ignoredFunctions = [
    'debug',
    '_drupal_error_handler',
    '_drupal_exception_handler',
    '_error_page__drupal_error_handler',
    'handleError',
  ];

  /**
   * {@inheritdoc}
   */
  public const DEFAULT_ERROR_MESSAGE = parent::DEFAULT_ERROR_MESSAGE . ' [@uuid]';

}
